Đến nội dung


Hình ảnh
- - - - -

vướng mắc khi vẽ polyline = vba


  • Please log in to reply
4 replies to this topic

#1 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 April 2010 - 04:45 PM

lại vào làm phiền các huynh trong cadviet :cheers: :cheers:

vấn đề của em đang vướng mắc tiếp là vẽ polyline = vba

nếu như bình thường thì chỉ cần nhập đủ tọa độ thì sẽ vẽ ra một polyline cho mình
vd như

Dim plineObj As AcadPolyline
Dim points(0 To 14) As Double

' Define the 2D polyline points
points(0) = 1: points(1) = 1: points(2) = 0
points(3) = 1: points(4) = 2: points(5) = 0
points(6) = 2: points(7) = 2: points(8) = 0
points(9) = 3: points(10) = 2: points(11) = 0
points(12) = 4: points(13) = 4: points(14) = 0

' Create a lightweight Polyline object in model space
Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
ZoomAll

nếu code như trên thì sẽ ra polyline với 3 đoạn thẳng.

Vấn để của em là muốn đoạn ở giữa lại là "arc" ??? xử lý vấn đề này ntn?? còn 2 đoạn đầu thì là line

khó khăn ở đây là khi mình set hết các tọa độ rồi thì cái lệnh vẽ cuối cùng nó cứ thẳng tuật nó vẽ. không dừng để mình có thể lựa chọn kiểu đường tiếp theo.

cảm ơn sự quan tâm của các huynh
  • 0

#2 sson

sson

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 30 April 2010 - 06:25 PM

lại vào làm phiền các huynh trong cadviet :cheers: :cheers:

vấn đề của em đang vướng mắc tiếp là vẽ polyline = vba

nếu như bình thường thì chỉ cần nhập đủ tọa độ thì sẽ vẽ ra một polyline cho mình
vd như

nếu code như trên thì sẽ ra polyline với 3 đoạn thẳng.

Vấn để của em là muốn đoạn ở giữa lại là "arc" ??? xử lý vấn đề này ntn?? còn 2 đoạn đầu thì là line

khó khăn ở đây là khi mình set hết các tọa độ rồi thì cái lệnh vẽ cuối cùng nó cứ thẳng tuật nó vẽ. không dừng để mình có thể lựa chọn kiểu đường tiếp theo.

cảm ơn sự quan tâm của các huynh

Cái này khó thật đấy, bí quá thì dùng sendcommand
  • 0

#3 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 April 2010 - 07:22 PM

Cái này khó thật đấy, bí quá thì dùng sendcommand

sendcommand thì cũng phải bắt nó dừng lại ở giữa thì mới bắt đầu chuyển được kiểu đường chứ anh? nhưng mà nó vẽ liền tù tì thì ta dừng kiểu gì nhỉ. nếu mà tách ra thì ko ổn vì sau khi vẽ em muốn dùng lệnh div với nó mà ^^
  • 0

#4 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 30 April 2010 - 08:55 PM

sendcommand thì cũng phải bắt nó dừng lại ở giữa thì mới bắt đầu chuyển được kiểu đường chứ anh? nhưng mà nó vẽ liền tù tì thì ta dừng kiểu gì nhỉ. nếu mà tách ra thì ko ổn vì sau khi vẽ em muốn dùng lệnh div với nó mà ^^


'Từ AutoCAD Help
To create a polyline containing arcs, first create the straight polyline, and then set the bulge at specific vertices using the SetBulge method.
  • 1
Clear sky!

MF Rock collection.

#5 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 April 2010 - 11:25 PM

'Từ AutoCAD Help
To create a polyline containing arcs, first create the straight polyline, and then set the bulge at specific vertices using the SetBulge method.

wow^^ thanks huynh nha! từ giờ phải chăm chỉ đọc help mới đuợc! mỗi tội dốt E quá huhu
  • 0